// Transaction.cs
//
//  Copyright (C) 2008 Paul Lange
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
//


using System;

namespace Sterling
{	
	[System.SerializableAttribute()]
	public class Transaction
	{
		private double _amount;
		private string _name;
		private DateTime _date;
		
		public Transaction() { }
		
		public Transaction(double amount, string name, DateTime date)
		{
			_amount = amount;
			_name = name;
			_date = date;
		}
		
		public double Amount
		{
			get { return _amount; }
			set { _amount = value;}
		}
		
		public string Description
		{
			get { return _name; }
			set { _name = value;}
		}
		
		public DateTime Date
		{
			get { return _date; }
			set { _date = value;}
		}
	}
}
